Get all transaction schedules Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Comma separated list of sub account UUIDs to filter by
-
Comma separated list of holding UUIDs to filter by
-
Comma separated list of types to filter by
-
Comma separated list of sub-types to filter by
-
Get transactions from a date.
-
Get transactions to a date.
-
Get transactions greater than or equal to an amount in pennies.
-
Get transactions less than or equal to an amount in pennies.
-
Field to sort by. Valid fields are [created_at, updated_at, type, amount, start_date, next_transaction_date]. Negative sign to denote DESC. Defaults to '-start_date'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/plans/{plan_uuid}/transaction-schedule
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/transaction-schedule' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "8c824c87-4033-4fd5-a3ad-ebaba9f3e11d",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"plan": {
"uuid": "875e09a5-b9e9-4b63-88b8-f50fc8538da1",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"opened_at": "2026-07-17T15:25:29+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-17T15:25:29+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"main_account": {
"uuid": "f23d94db-f447-4616-8cf2-297dd45e6389",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"sub_accounts": {
"uuid": "f23d94db-f447-4616-8cf2-297dd45e6389",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"provider": {
"uuid": "c40b0f2e-65c6-4120-9551-17a89d2ecf3d",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"covers": {
"uuid": "83e6a188-0c4a-498d-b33b-25dc3ea4fb28",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"indexation": 1.4
},
"claims": {
"uuid": "bcc556a9-7220-410c-ab34-1c880402b113",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"claim_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"claim_start_date": "2025-07-17",
"claim_end_date": "2031-07-17",
"claim_notes": "Claim notes"
},
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
}
},
"latest_valuations": {
"uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"valued_at": "2026-07-17T15:25:36+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"valued_at": "2026-07-17T15:25:29+01:00",
"original_valued_at": "2026-07-16T15:25:29+01:00",
"client": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"accounts": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"seller": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_owners": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_plans": {
"uuid": "71e659a7-9e83-46b4-ac51-28d5db89ee6b",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"opened_at": "2026-07-17T15:25:36+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-17T15:25:36+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-17T15:25:36+01:00",
"original_valued_at": "2026-07-16T15:25:36+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"visible_to_circles": {
"uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-17T15:25:36+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
"login_access_level": "write",
"current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
},
"statistics": {
"recent_growth": 100
},
"cases": {
"uuid": "7877483f-b3fd-4035-a1e0-862ad2438d18",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "finance",
"slug": "finance",
"review_at": "2026-07-17T15:25:36+01:00",
"assigned_to_uuids": [
null
],
"group_uuids": [
null
],
"completed_at": "2026-07-17T15:25:36+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"task_board_uuid": null
},
"tags": {
"uuid": "f1ecba6d-f8a7-415f-90f1-db030dd72262",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"is_wrap_product": false,
"is_wrap_child": false,
"wrap": {
"uuid": "71e659a7-9e83-46b4-ac51-28d5db89ee6b",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"opened_at": "2026-07-17T15:25:36+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-17T15:25:36+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-17T15:25:36+01:00",
"original_valued_at": "2026-07-16T15:25:36+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"wrap_children": {
"uuid": "71e659a7-9e83-46b4-ac51-28d5db89ee6b",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"opened_at": "2026-07-17T15:25:36+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-17T15:25:36+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-17T15:25:36+01:00",
"original_valued_at": "2026-07-16T15:25:36+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"linked_policy_numbers": {
"uuid": "64e4bc70-d4b7-45de-8830-018f91bc1781",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"linked_policy_number": "ABC123-X"
},
"can_be_deleted": "false",
"contract_enquiry_account": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"sub_account": {
"uuid": "f86446ca-34a6-4a1d-85c5-d42a1954e5b3",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"valued_at": "2026-07-17T15:25:36+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "30b9cd34-c410-4e2d-86b2-f4eb75723795",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"is_proposed": true,
"proposed_at": "2026-07-17T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"holding": {
"uuid": "7d0fb935-07b9-478f-ac1c-e7eb939325df",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "f23d94db-f447-4616-8cf2-297dd45e6389",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"account": {
"uuid": "695029b8-3b35-4057-8e77-669b77b11b56",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "b9d50083-110f-4b5c-ad97-e735caa8a65e",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-17T14:35:36+01:00",
"end_date": "2026-07-17T15:03:36+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "0b087134-9399-4f48-8830-d50c35f116f3",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00"
},
"tags": {
"uuid": "f1ecba6d-f8a7-415f-90f1-db030dd72262",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-17T15:25:36+01:00",
"next_review_date": "2026-07-17T15:25:36+01:00",
"previous_review_date": "2026-07-17T15:25:36+01:00",
"anniversary_review_date": "2026-07-17T15:25:36+01:00",
"terms_of_business_at": "2026-07-17T15:25:36+01:00",
"client_agreement_at": "2026-07-17T15:25:36+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:36",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-17T15:25:29+01:00",
"next_review_date": "2026-07-17T15:25:29+01:00",
"previous_review_date": "2026-07-17T15:25:29+01:00",
"anniversary_review_date": "2026-07-17T15:25:29+01:00",
"terms_of_business_at": "2026-07-17T15:25:29+01:00",
"client_agreement_at": "2026-07-17T15:25:29+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-17T15:25:36+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
"login_access_level": "write",
"current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
},
"circles": {
"uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-17T15:25:36+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
"login_access_level": "write",
"current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-17",
"last_interaction_at": "2026-07-17 15:25:29",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"provider": {
"uuid": "ec646389-43d6-4f6b-bd80-0f3c2ddd9a62",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"provider_controlled": true,
"type": "contribution",
"sub_type": "product_fees",
"amount": {
"amount": "1099",
"currency": "GBP",
"formatted": "£10.99"
},
"frequency": "monthly",
"start_date": "2026-07-17",
"end_date": "2027-07-17",
"next_transaction_date": "2026-08-17",
"paused_until": "2026-07-17T15:25:29+01:00"
}
]
}